How to replace PHP 5.3 with PHP 5.2

Problems with the Windows version of XAMPP, questions, comments, and anything related.

How to replace PHP 5.3 with PHP 5.2

Postby sustain » 21. August 2009 16:56

I'm trying to install Joomla and PHP 5.3 is breaking things!
sustain
 
Posts: 1
Joined: 21. August 2009 16:54

Re: How to replace PHP 5.3 with PHP 5.2

Postby paramajaya » 22. August 2009 14:36

I have the same problem with Drupal 6.13 on XAMPP 172. I am wondering if XAMPP 1.7.2 will have PHP 5.2 replacing PHP 5.3. I like Mercury and Tomcat as services on XAMPP 1.7.2
paramajaya
 
Posts: 2
Joined: 22. August 2009 04:18

Re: How to replace PHP 5.3 with PHP 5.2

Postby Diesel9a1 » 27. August 2009 15:19

The Apache 1.7.2 PHP 5.3 package enables me to work the Zend Optimiser for my Joomla site without having to mess with any settings. But as is becoming common knowledge, Joomla 1.5.14 isn't fully compatible with PHP 5.3.

Is there a work round? I have Apache 1.6.7 and PHP 5.2.x, but cannot get the Zend Optimiser bit to work. Can somebody point me in the right direction to download slightly earlier XAMPP package with a PHP 5.2.x and Zend Optimiser working, or help me get Zend working correctly with my older XAMPP?

Thanks.
Diesel9a1
 
Posts: 2
Joined: 27. August 2009 15:11

Re: How to replace PHP 5.3 with PHP 5.2

Postby dmphotography » 29. August 2009 11:33

I've noticed quite a few Open Source programs aren't very compatible with PHP 5.3 and some aren't compatible at all.
The good news is you CAN still download older versions of XAMPP until Joomla or whatever other programs aren't quite yet compatible with PHP 5.3 get updated.
PHP 5.3 had quite a few major changes to it, so there's going to be a lot of PHP apps that will need to be majorly modified.

Anywho, XAMPP 1.7.1 works fine with Joomla 1.5 and has PHP verison 5.2.8.
You can download it from:
http://sourceforge.net/projects/xampp/files/XAMPP%20Windows/1.7.1/xampp-win32-1.7.1-installer.exe/download

As a future reference, every version of XAMPP from way back can still be found on SourceForge.net.
Here's where you can find those:
http://sourceforge.net/projects/xampp/files/
They are listed in descending order, meaning the oldest versions are on top and the latest versions are on bottom.

Hope that helps!
For great video and written tutorials and guides on creating your own web server and installing things such as forums, blogs, etc., visit http://myownhomeserver.com
dmphotography
 
Posts: 191
Joined: 15. December 2008 14:25
Location: Columbus, MS
Operating System: Windows 7

Re: How to replace PHP 5.3 with PHP 5.2

Postby Diesel9a1 » 29. August 2009 14:44

Thanks for the link Dm.
Diesel9a1
 
Posts: 2
Joined: 27. August 2009 15:11

Re: How to replace PHP 5.3 with PHP 5.2

Postby progers » 26. September 2009 08:36

Here's what I did. I already had 1.7.2 installed, and had upgraded my MySQL databases. Reverting to 1.7.1 seemed to prevent MySQL from starting, which I assume was due to the older version of MySQL trying to open a newer DB.

Instead, I created a hybrid. I kept all of XAMPP 1.7.1, but I simply replaced the 1.7.1 mysql directory with the 1.7.2 version.

Specifically, stop the Apache and MySQL services using the XAMPP control panel. For safety, rename the mysql in the 1.7.1 directory to mysql-5.1.33 (which is the version number.) Next, copy the mysql from your 1.7.2 directory. Restart the Apache and MySQL services. You should be fine.

This hybrid got rid of the annoying PHP 5.3-related warnings from Drupal 6.14, but it kept MySQL happy with the upgraded database.

Good luck!
progers
 
Posts: 1
Joined: 26. September 2009 08:24


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 36 guests